namespace VisionBuilder.UI.Recipes.Scripted.Tests
{
    public class Tests
    {

        public void TestAddFunction(int a, int b, out int c)
        {
            c = a + b;
        }

        [SetUp]
        public void Setup()
        {
        }

        [Test]
        public void Test1()
        {
            // setup
            // todo: register function
            
            string script = @"
            test_add_function(1,2,c)
";

            int c = 0;
            // todo: get value of c from engine

            Assert.Pass();
        }
    }
}